package com.qmth.sop.common.sync;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.qmth.sop.common.been.FaceMatchParam;
import com.qmth.sop.common.util.FileUtil;
import com.qmth.sop.common.util.HttpUtil;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 百度人脸识别工具类
 * @Author: CaoZixuan
 * @Date: 2023-09-14
 */
public class FaceApiUtils {
    public static void faceMatch() throws IOException {
        // TODO: 2023/9/14 demo 
        File f1 = new File("E:\\pictures\\wj1.jpeg");
        File f2 = new File("E:\\pictures\\wj2.jpeg");

        String appId = "test";
        String uri = "http://192.168.20.253";
        String url = "/face-api/v3/face/match";
        String postUrl = uri + url + "?appId=" + appId;
        List<FaceMatchParam> faceMatchParamList = new ArrayList<>();
        FaceMatchParam p1 = new FaceMatchParam();
        p1.setImage(FileUtil.fileToBase64(f1));
        p1.setImage_type("BASE64");
        faceMatchParamList.add(p1);

        FaceMatchParam p2 = new FaceMatchParam();
        p2.setImage(FileUtil.fileToBase64(f2));
        p2.setImage_type("BASE64");
        faceMatchParamList.add(p2);
        String json = JSONArray.toJSONString(faceMatchParamList);
        System.out.println(json);

        String result = HttpUtil.postJson(postUrl, json, null, null, false);
        JSONObject jsonObject = JSONObject.parseObject(result);
        System.out.println(jsonObject);
    }

    public static void main(String[] args) throws IOException {
        faceMatch();
    }
}
